Home page logo
/

bugtraq logo Bugtraq mailing list archives

[ MDVSA-2013:045 ] libssh
From: security () mandriva com
Date: Fri, 05 Apr 2013 16:34:00 +0200

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 _______________________________________________________________________

 Mandriva Linux Security Advisory                         MDVSA-2013:045
 http://www.mandriva.com/en/support/security/
 _______________________________________________________________________

 Package : libssh
 Date    : April 5, 2013
 Affected: Business Server 1.0
 _______________________________________________________________________

 Problem Description:

 Updated libssh packages fix security vulnerabilities:
 
 Multiple double free flaws, buffer overflow flaws, invalid free
 flaws, and improper overflow checks in libssh before 0.5.3 could
 enable a denial of service attack against libssh clients, or possibly
 arbitrary code execution (CVE-2012-4559, CVE-2012-4560, CVE-2012-4561
 and CVE-2012-4562).
 
 Yong Chuan Koh discovered that libssh incorrectly handled certain
 negotiation requests. A remote attacker could use this to cause libssh
 to crash, resulting in a denial of service (CVE-2013-0176).
 _______________________________________________________________________

 References:

 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4559
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4560
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4561
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4562
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0176
 https://wiki.mageia.org/en/Support/Advisories/MGASA-2012-0344
 https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0033
 _______________________________________________________________________

 Updated Packages:

 Mandriva Business Server 1/X86_64:
 75e5b89f0a5d0eda3bbb0f2c97568cc8  mbs1/x86_64/lib64ssh4-0.5.2-2.1.mbs1.x86_64.rpm
 4dc1a2ba2f6148f774fcddef1d32b7b5  mbs1/x86_64/lib64ssh-devel-0.5.2-2.1.mbs1.x86_64.rpm 
 519a8c2a9c8bab7c31537cdef43c2cfd  mbs1/SRPMS/libssh-0.5.2-2.1.mbs1.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

  http://www.mandriva.com/en/support/security/advisories/

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Mandriva Security Team
  <security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRXraumqjQ0CJFipgRAjTrAJ0XIYHScRGvsSWavKkRDrlfX+2a+QCcDAjh
AoftCOlrN8pndwNpzOaJk5c=
=o74U
-----END PGP SIGNATURE-----


  By Date           By Thread  

Current thread:
  • [ MDVSA-2013:045 ] libssh security (Apr 08)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]